## zapping 0.10~cvs6

=== debian/changelog ===
zapping (0.10~cvs6-16) unstable; urgency=medium

  * QA upload.
  * debian/patches/24-GConf-to-GSettings.patch: Assign each GSettings
    instance to its own unique variable; otherwise things get really messy
    when plugins are loaded (Closes: #919473).
  * debian/patches/27-zsfb-manpage.patch: New; build and install
    zapping_setup_fb's manpage conditionally based on the same
    AM_CONDITIONAL that is used for the binary.
  * debian/patches/series: Update.
  * debian/rules: Pass --disable-v4l --disable-bktr on GNU/Hurd; remove
    hurd-specific CPPFLAGS.
    (override_dh_auto_install): Conditionally move zapping_setup_fb to
    /usr/bin as it's only built on GNU/Linux architectures.
  * debian/control (Build-Depends): Remove freebsd-glue; that was a really
    stupid idea that I should be ashamed of.  And I am.
    (Depends): Add gsettings-desktop-schemas -- the code loads one schema
    from this package which will be a hard error if it is not installed.
    (Standards-Version): Bump to 4.3.0; no changes needed.
  * debian/copyright: Update copyright years, add Jeremy Bicha.

 -- Yavor Doganov <yavor@gnu.org>  Fri, 25 Jan 2019 16:53:10 +0200

zapping (0.10~cvs6-15) unstable; urgency=medium

  * QA upload.

  [ Ondřej Nový ]
  * d/watch: Use https protocol

  [ Jeremy Bicha ]
  * Add minimal debian/gbp.conf
  * Add 26-dont-require-scrollkeeper.patch
  * Drop unneeded scrollkeeper build dependency

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 18 Oct 2018 01:58:50 -0400

zapping (0.10~cvs6-14) unstable; urgency=medium

  * QA upload.
  * debian/patches/23-GnomeUI-to-GTK3.patch: New; (attempt to) port to
    GTK+ 3 (Closes: #886187).  See the patch description for details.
  * debian/patches/24-GConf-to-GSettings.patch: New; migrate from GConf to
    GSettings (Closes: #886188).
  * debian/patches/25-Disable-mpeg-plugin.patch: New; instead of shipping
    an empty plugin, build the mpeg plugin conditionally if HAVE_LIBRTE is
    defined.  This library is not available in Debian.
  * debian/patches/series: Update.
  * debian/control (Build-Depends): Replace libgtk2.0-dev with
    libgtk-3-dev.  Remove libglade2-dev, libgnomeui-dev and libgconf2-dev.
    (Recommends): Add gconf2 for the sake of data migration.
    (Vcs-Git, Vcs-Browser): Update following the move to salsa.d.o.
    (Standards-Version): Bump to 4.2.1; no changes required.
  * debian/rules: Define hurd-specific CPPFLAGS; yet another attempt to
    fix FTBFS on GNU/Hurd.
    (override_dh_auto_configure): Override AC_PATH_PROG test for
    consolehelper so that --enable-pam actually works.  Drop
    --disable-schemas-install and --with-gconf-schema-file-dir.
    (override_dh_auto_install): Move zapping_setup_fb to /usr/bin.
    (override_dh_fixperms): Remove, no longer necessary.
  * debian/lintian-overrides: Delete as it is unused now.
  * debian/links: Delete, no longer needed.
  * debian/copyright: Use https for Format URL.  Bump copyright years.

 -- Yavor Doganov <yavor@gnu.org>  Tue, 25 Sep 2018 11:33:06 +0300

zapping (0.10~cvs6-13) unstable; urgency=medium

  * QA upload.
  * debian/patches/15-Misc-warnings.patch: Fix conflicting function
    declaration which led to FTBFS on a bunch of architectures.

 -- Yavor Doganov <yavor@gnu.org>  Tue, 02 Jan 2018 23:58:51 +0200

zapping (0.10~cvs6-12) unstable; urgency=medium

  * QA upload.
  * debian/compat: Bump to 11.
  * debian/control (Priority): Set to optional.
    (Build-Depends): Remove libesd0-dev (Closes: #856096).  Require
    debhelper >= 11.  Remove dh-autoreconf and automake.  Add
    autoconf-archive for the AX_COMPILER_FLAGS macro.  Remove ancient
    version requirements for libgnomeui-dev, libgtk2.0-dev, libzvbi-dev.
    Add freebsd-glue [hurd-any] in an attempt to fix FTBFS on GNU/Hurd.
    (Vcs-Git, Vcs-Browser): Use secure/canonical URIs.
    (zapping-dbg): Remove in favor of automatic -dbgsym.
    (Standards-Version): Claim compliance with 4.1.3 as of this release.
  * debian/rules: Simplify -- remove unused variables, use standard
    targets, order overrides sequentially.  Remove trailing whitespace.
    Enable all hardening flags.  Don't invoke dh_autoreconf.  Don't
    install the .xpm icon.
    (override_dh_strip): Pass --dbgsym-migration.
  * debian/gnome-television.xpm:
  * debian/menu: Delete as per Policy requirement.
  * debian/zapping.install:
  * debian/preinst: Delete, no longer necessary.
  * debian/README.Debian: Fix two typos.
  * debian/patches/03-Desktop.patch: Add Keywords field.
  * debian/patches/08-Spelling-typos.patch: Fix yet another typo.
  * debian/patches/15-Misc-warnings.patch: Fix more warnings.
  * debian/patches/19-zapping_setup_fb_crash.patch: New; fix a segfault
    when zapping_setup_fb is invoked with an invalid display name.  Thanks
    Alexandre Rebert / Mayhem Team for the report (Closes: #716640).
  * debian/patches/20-Check-return-value.patch: New; fix compiler warnings
    [-Wunused-result] which popped up due to the hardened CPPFLAGS.
  * debian/patches/21-GnomeVFS-to-GIO.patch: New; port to GIO, hopefully
    done right (Closes: #868412).
  * debian/patches/22-gnome-common-deprecate.patch: New; don't use
    deprecated gnome-common macro (Closes: #829824).
  * debian/patches/series: Update.
  * debian/changelog: Whitespace cleanup.
  * debian/copyright: Rewrite to adhere to copryight-format 1.0.

 -- Yavor Doganov <yavor@gnu.org>  Sat, 30 Dec 2017 00:03:52 +0200

zapping (0.10~cvs6-11) unstable; urgency=medium

  * QA upload.
  * Apply patch from Bernhard Übelacker to fix segfault; Closes: #852018.

 -- Helge Kreutzmann <debian@helgefjell.de>  Thu, 26 Jan 2017 19:25:31 +0100

zapping (0.10~cvs6-10) unstable; urgency=medium

  * QA upload.
  * Add debian/patches/17-Do-not-show-the-build-date.patch to
    make the build reproducible.

 -- Santiago Vila <sanvila@debian.org>  Fri, 04 Sep 2015 18:40:30 +0200

zapping (0.10~cvs6-9) unstable; urgency=low

  * Orphaning package, maintainer set to Debian QA Group.

