=== debian/control ===
Source: zapping
Section: gnome
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Standards-Version: 4.3.0
Build-Depends: debhelper (>= 11),
               dh-buildinfo,
               autoconf-archive,
               docbook-xml,
               docbook-xsl,
               intltool,
               libgtk-3-dev,
               libjpeg-dev,
               liblircclient-dev,
               libpng-dev,
               libx11-dev,
               libxext-dev,
               libxinerama-dev,
               libxml-parser-perl,
               libxml2-dev,
               libxml2-utils,
               libxmu-dev,
               libxv-dev,
               libxxf86dga-dev,
               libxxf86vm-dev,
               libzvbi-dev,
               python-dev,
               xsltproc
Homepage: http://zapping.sourceforge.net/
Vcs-Git: https://salsa.debian.org/debian/zapping.git
Vcs-Browser: https://salsa.debian.org/debian/zapping

Package: zapping
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         gsettings-desktop-schemas
Recommends: gconf2
Description: television viewer for the GNOME environment
 It is based on plugins. This will make it easy to add functionality to the
 program, without making it hard to maintain, such as saving video as
 AVI/MPEG, viewing mirrored TV (scanning from right to left) or whatever you
 can imagine (and program).
