=== debian/watch ===
version=3
opts="uversionmangle=s/cvs/~cvs/" \
https://sf.net/zapping/zapping-(.*)\.tar\.bz2
